csi2tx: XCsi2Tx Struct Reference

| csi2tx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCsi2Tx Struct Reference
Csi2tx_v1_0

The XCsi2Tx driver instance data. More...

## Data Fields
XCsi2Tx_Config | Config
| Hardware Configuration. More...
u32 | ActiveLanes
| Number of Active Lanes. More...
XCsi2Tx_CallBack | IncorrectLaneCallBack
| Callback for incorrect lane configuration. More...
void * | IncorrectLaneRef
| To be passed to the incorrect lane configuration. More...
XCsi2Tx_CallBack | GSPFIFOCallBack
     Callback for Generic Short
Packet FIFO full interrupts More...
XCsi2Tx_CallBack | DPhyUlpsCallBack
| Callback for DPhy ULPS interrupts. More...
void * | DPhyUlpsRef
| DPhy ULPS interrupt callback. More...
void * | LineBufferRef
| Line buffer full interrupt callback. More...
void * | UnderrunPixelRef
| Pixel data underrun interrupt callback. More...
void * | LCErrVC0Ref
| Passed to Line Count Error for VC0 callback. More...
void * | LCErrVC1Ref
| Passed to Line Count Error for VC1 callback. More...
void * | LCErrVC2Ref
| Passed to Line Count Error for VC2 callback. More...
void * | LCErrVC3Ref
| Passed to Line Count Error for VC3 callback. More...
u32 | IsReady
| Driver is ready. More...

## Detailed Description

The XCsi2Tx driver instance data.

An instance must be allocated for each CSI in use.

## Field Documentation

u32 XCsi2Tx::ActiveLanes

Number of Active Lanes.

Referenced by XCsi2Tx_Configure().

XCsi2Tx_Config XCsi2Tx::Config

Hardware Configuration.

Referenced by XCsi2Tx_CfgInitialize(), XCsi2Tx_Configure(), XCsi2Tx_GetIntrEnable(), XCsi2Tx_GetIntrStatus(), XCsi2Tx_GetLineCountForVC(), XCsi2Tx_GetShortPacket(), XCsi2Tx_InterruptClear(), XCsi2Tx_IntrDisable(), XCsi2Tx_IntrEnable(), XCsi2Tx_IntrHandler(), XCsi2Tx_IsActiveLaneCountValid(), XCsi2Tx_SelfTest(), and XCsi2Tx_SetLineCountForVC().

XCsi2Tx_CallBack XCsi2Tx::DPhyUlpsCallBack

Callback for DPhy ULPS interrupts.

Referenced by XCsi2Tx_CfgInitialize(), XCsi2Tx_IntrHandler(), and XCsi2Tx_SetCallBack().

void* XCsi2Tx::DPhyUlpsRef

DPhy ULPS interrupt callback.

Referenced by XCsi2Tx_IntrHandler(), and XCsi2Tx_SetCallBack().

XCsi2Tx_CallBack XCsi2Tx::GSPFIFOCallBack

     Callback for Generic Short

Packet FIFO full interrupts

Referenced by XCsi2Tx_CfgInitialize(), XCsi2Tx_IntrHandler(), and XCsi2Tx_SetCallBack().

XCsi2Tx_CallBack XCsi2Tx::IncorrectLaneCallBack

Callback for incorrect lane configuration.

Referenced by XCsi2Tx_CfgInitialize(), XCsi2Tx_IntrHandler(), and XCsi2Tx_SetCallBack().

void* XCsi2Tx::IncorrectLaneRef

To be passed to the incorrect lane configuration.

Referenced by XCsi2Tx_IntrHandler(), and XCsi2Tx_SetCallBack().

u32 XCsi2Tx::IsReady

Driver is ready.

Referenced by XCsi2Tx_Activate(), XCsi2Tx_CfgInitialize(), XCsi2Tx_Configure(), XCsi2Tx_IntrHandler(), XCsi2Tx_SelfTest(), and XCsi2Tx_SetCallBack().

void* XCsi2Tx::LCErrVC0Ref

Passed to Line Count Error for VC0 callback.

Referenced by XCsi2Tx_IntrHandler(), and XCsi2Tx_SetCallBack().

void* XCsi2Tx::LCErrVC1Ref

Passed to Line Count Error for VC1 callback.

Referenced by XCsi2Tx_IntrHandler(), and XCsi2Tx_SetCallBack().

void* XCsi2Tx::LCErrVC2Ref

Passed to Line Count Error for VC2 callback.

Referenced by XCsi2Tx_IntrHandler(), and XCsi2Tx_SetCallBack().

void* XCsi2Tx::LCErrVC3Ref

Passed to Line Count Error for VC3 callback.

Referenced by XCsi2Tx_IntrHandler(), and XCsi2Tx_SetCallBack().

void* XCsi2Tx::LineBufferRef

Line buffer full interrupt callback.

Referenced by XCsi2Tx_IntrHandler(), and XCsi2Tx_SetCallBack().

void* XCsi2Tx::UnderrunPixelRef

Pixel data underrun interrupt callback.

Referenced by XCsi2Tx_IntrHandler(), and XCsi2Tx_SetCallBack().